HaskellForMaths-0.4.8: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None
Language | Haskell98

Math.Algebras.Matrix

# Documentation

data Mat2 Source #

Constructors

E2 Int Int |

Instances

Eq Mat2 Source # |
Methods (==) :: Mat2 -> Mat2 -> Bool # (/=) :: Mat2 -> Mat2 -> Bool #
Ord Mat2 Source # |
Methods compare :: Mat2 -> Mat2 -> Ordering # (<) :: Mat2 -> Mat2 -> Bool # (<=) :: Mat2 -> Mat2 -> Bool # (>) :: Mat2 -> Mat2 -> Bool # (>=) :: Mat2 -> Mat2 -> Bool # max :: Mat2 -> Mat2 -> Mat2 # min :: Mat2 -> Mat2 -> Mat2 #
Show Mat2 Source # |
Methods showsPrec :: Int -> Mat2 -> ShowS # show :: Mat2 -> String # showList :: [Mat2] -> ShowS #
(Eq k, Num k) => Algebra k Mat2 Source # |
Methods unit :: k -> Vect k Mat2 Source # mult :: Vect k (Tensor Mat2 Mat2) -> Vect k Mat2 Source #
(Eq k, Num k) => Module k Mat2 EBasis Source # |
Methods action :: Vect k (Tensor Mat2 EBasis) -> Vect k EBasis Source #

toMat2 :: (Num k, Eq k) => [[k]] -> Vect k Mat2 Source #

toEB2 :: (Num k, Eq k) => [k] -> Vect k EBasis Source #

toEB :: (Num k, Eq k) => [k] -> Vect k EBasis Source #

data Mat2' Source #

Constructors

E2' Int Int |

Instances

Eq Mat2' Source # |
Methods (==) :: Mat2' -> Mat2' -> Bool # (/=) :: Mat2' -> Mat2' -> Bool #
Ord Mat2' Source # |
Methods compare :: Mat2' -> Mat2' -> Ordering # (<) :: Mat2' -> Mat2' -> Bool # (<=) :: Mat2' -> Mat2' -> Bool # (>) :: Mat2' -> Mat2' -> Bool # (>=) :: Mat2' -> Mat2' -> Bool # max :: Mat2' -> Mat2' -> Mat2' # min :: Mat2' -> Mat2' -> Mat2' #
Show Mat2' Source # |
Methods showsPrec :: Int -> Mat2' -> ShowS # show :: Mat2' -> String # showList :: [Mat2'] -> ShowS #
(Eq k, Num k) => Coalgebra k Mat2' Source # |
Methods counit :: Vect k Mat2' -> k Source # comult :: Vect k Mat2' -> Vect k (Tensor Mat2' Mat2') Source #

data M3 Source #

Constructors

E3 Int Int |

Instances

Eq M3 Source # |
Methods (==) :: M3 -> M3 -> Bool # (/=) :: M3 -> M3 -> Bool #
Ord M3 Source # |
Methods compare :: M3 -> M3 -> Ordering # (<) :: M3 -> M3 -> Bool # (<=) :: M3 -> M3 -> Bool # (>) :: M3 -> M3 -> Bool # (>=) :: M3 -> M3 -> Bool # max :: M3 -> M3 -> M3 # min :: M3 -> M3 -> M3 #
Show M3 Source # |
Methods showsPrec :: Int -> M3 -> ShowS # show :: M3 -> String # showList :: [M3] -> ShowS #
(Eq k, Num k) => Algebra k M3 Source # |
Methods unit :: k -> Vect k M3 Source # mult :: Vect k (Tensor M3 M3) -> Vect k M3 Source #